Package: org.codehaus.groovy.classgen.asm.indy

## [Java] Class IndyCallSiteWriter

- org.codehaus.groovy.classgen.asm.indy.IndyCallSiteWriter

-     public class IndyCallSiteWriter
      extends CallSiteWriter

  Dummy class used by the indy implementation. This class mostly contains empty stubs for calls to the call site writer, since this class is normally used to prepare call site caching and in indy call site caching is done by the jvm.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CallSiteWriter` | `CONSTRUCTOR`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IndyCallSiteWriter(WriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `generateCallSiteArray()`
    `` | `public void` | `makeCallSite(Expression receiver, String message, Expression arguments, boolean safe, boolean implicitThis, boolean callCurrent, boolean callStatic)`
    `` | `public void` | `makeCallSiteArrayInitializer()`
    `` | `public void` | `makeGetPropertySite(Expression receiver, String name, boolean safe, boolean implicitThis)`
    `` | `public void` | `makeGroovyObjectGetPropertySite(Expression receiver, String name, boolean safe, boolean implicitThis)`
    `` | `public void` | `makeSingleArgumentCall(Expression receiver, String message, Expression arguments, boolean safe)`
    `` | `public void` | `makeSiteEntry()`
    `` | `public void` | `prepareCallSite(String message)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CallSiteWriter` | `fallbackAttributeOrPropertySite, generateCallSiteArray, getCallSites, hasCallSiteUse, makeCallSite, makeCallSiteArrayInitializer, makeGetPropertySite, makeGroovyObjectGetPropertySite, makeSingleArgumentCall, makeSingleArgumentCall, makeSiteEntry, prepareCallSite, prepareSiteAndReceiver, visitBoxedArgument`

- - ### Constructor Detail

    - #### public IndyCallSiteWriter(WriterController controller)

  - ### Method Detail

    - #### public void generateCallSiteArray()

    - #### public void makeCallSite(Expression receiver, String message, Expression arguments, boolean safe, boolean implicitThis, boolean callCurrent, boolean callStatic)

    - #### public void makeCallSiteArrayInitializer()

    - #### public void makeGetPropertySite(Expression receiver, String name, boolean safe, boolean implicitThis)

    - #### public void makeGroovyObjectGetPropertySite(Expression receiver, String name, boolean safe, boolean implicitThis)

    - #### public void makeSingleArgumentCall(Expression receiver, String message, Expression arguments, boolean safe)

    - #### public void makeSiteEntry()

    - #### public void prepareCallSite(String message)